//
// Elke Schmidtke, University of Potsdam
// eschmidt@geo.uni-potsdam.de

import java.awt.event.*;

class SaveImageCommand extends Command
{ 
    SaveImageCommand (int id, WinGroup wg) { super (id, wg); }
    
    public void actionPerformed (ActionEvent e)
    {
	String s = e.getActionCommand();
	if (s.equals (cancelSt)) {
	    wg.editor.setVisible(false);
	    return;
	}
	
	String label = wg.editor.getText (labelForImageSt);
	WinShowGraph frame = new WinShowGraph (wg, true);
	if (!frame.isVisible()) frame.setVisible (true);
	frame.graph.SetPlotTrace (wg.frame.graph.t);
	frame.graph.t.theLabel = label;
	frame.graph.repaint();
	if (s.equals (okSt)) {
	    wg.editor.setVisible(false);
	}
    }

}


