//
// Elke Schmidtke, University of Potsdam
// eschmidt@geo.uni-potsdam.de

import java.awt.*;
import java.awt.event.*;

/*
   Message
*/

public class WinMessage extends Dialog implements ActionListener, Definitions
{
    private WinGroup wg;
    TextField messageText;
    String Title = "Message ";
    int width = 380;
    int height = 150;
       
  WinMessage (WinGroup w)
  {
    super (w.frame, true);
    wg = w;
    if (wg.index > 1) setTitle (Title + wg.index);
    else	      setTitle (Title);
    
    messageText = new TextField();
    add ("North", messageText);
    Button b = new Button(okSt);
    add ("South", b);
    b.addActionListener (this);
    setSize (width,height);
  }
   
   public void actionPerformed (ActionEvent e)
   {
	if (e.getActionCommand().equals (okSt))
	    setVisible(false);
   } 
      	
   public void setVisible(String text)
   {
     messageText.setText(text);
     if (!isVisible()) setVisible (true);
  }
}    
      
    