//
// Elke Schmidtke, University of Potsdam
// eschmidt@geo.uni-potsdam.de

import java.awt.*;
import java.awt.event.*;
import java.util.*;

/*
  Show the calibration values
*/

public class WinShowPolesZeros extends WinFrame
{
    static String Title = "Poles (x) and Zeros (o)";
    PZGraph graph;
 
    public void actionPerformed (ActionEvent e)
    {
	String string = e.getActionCommand();
	if (string.equals (cancelSt))
	    setVisible (false);
	if (string.equals (applySt) || string.equals (okSt))
	{
	    if (string.equals (okSt)) setVisible (false);
	    wg.PolesZeros.newValues(wg.CalVal);
	    wg.actionPerformed (new ActionEvent (this, Event.ACTION_EVENT, "acceptNewValues"));
	} 
    }

  // Constructor  
    WinShowPolesZeros (WinGroup w)
    {
	super (w, Title);
	width = 400;
	height = 400;
	graph = new PZGraph(wg);
		
	constraints.weighty = 0;
	makeCommandLine3B (1, this);
	constraints.weighty = 1;
	makeComponent (0,0,3,1, graph);
	setSize(width, height);
    }  
} 