//
// Elke Schmidtke, University of Potsdam
// eschmidt@geo.uni-potsdam.de

import java.awt.*;
import java.awt.event.*;

public class WinShowGraph extends WinFrame
{
    static String Title = "DIGITAL SEISMOLOGY TUTOR ";
    Label mainLabel;
    Graph graph;
   
    // Constructor  
    WinShowGraph (WinGroup w, boolean cB)
    {
	super(w, Title);
	width = 600;
	height = 500;
	
	graph = new Graph (w);
	
	constraints.weighty = 0;
	mainLabel = new Label(" ");
	makeComponent (0,0,1,1,mainLabel);
	constraints.weighty = 1;
	makeComponent (0,1,1,1, graph);
	if (cB)
	{
	    constraints.weighty = 0;
	    makeButton (0,2, cancelSt, this);
	}
	setSize (width, height);
    }
      
    public void setMainLabelText (String text)	{ mainLabel.setText (text);}
    public String getMainLabelText ()		{ return mainLabel.getText();}
    
    public void actionPerformed (ActionEvent evt)
    {
       if (evt.getActionCommand().equals (cancelSt))
       {
	 setVisible(false);
	 graph.t.setId (-1);
       }
    }
} 